package com.yaozhitech.spring5.intercept;

import org.springframework.beans.factory.annotation.Value;

import com.yaozhitech.spring5.utils.JwtUtils;

import feign.RequestInterceptor;
import feign.RequestTemplate;

//@Configuration
public class OpenFeignInterceptor implements RequestInterceptor{

	@Value("${spring.application.name}")
    private String applicationName;
	
	@Value("${auth.client.secret}")
    private String clientSecret;
	
	@Override
	public void apply(RequestTemplate template) {
		template.header("x-auth-client", JwtUtils.sign(applicationName + "." + clientSecret, JwtUtils.generateSalt(), 3600));
		template.header("x-auth-token", "gateway");
	}

}
